package cn.iocoder.yudao.module.mes.controller.admin.feedingrecord.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum FeedingStatusEnum {

    投料中("3"),
    已完成("2"),
    未投料("1");


    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static FeedingStatusEnum fromValue(String value) {
        for (FeedingStatusEnum status : FeedingStatusEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}